> ## Documentation Index
> Fetch the complete documentation index at: https://skyvern.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List registered phone numbers

> List the current organization's phone numbers registered for SMS forwarding.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/integrations/twilio/phone-number-registry
openapi: 3.1.0
info:
  title: Skyvern API
  description: API for Skyvern
  version: 1.0.0
servers:
  - url: https://api.skyvern.com
    x-fern-server-name: Cloud
security: []
paths:
  /v1/integrations/twilio/phone-number-registry:
    get:
      tags:
        - Credentials
      summary: List registered phone numbers
      description: >-
        List the current organization's phone numbers registered for SMS
        forwarding.
      operationId: >-
        list_registered_phone_numbers_v1_integrations_twilio_phone_number_registry_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrganizationPhoneNumberResponse'
                title: >-
                  Response List Registered Phone Numbers V1 Integrations Twilio
                  Phone Number Registry Get
        '404':
          description: Twilio SMS is unavailable
        '422':
          description: Request validation failed
      security:
        - ApiKeyAuth: []
components:
  schemas:
    OrganizationPhoneNumberResponse:
      properties:
        phone_number_id:
          type: string
          title: Phone Number Id
        organization_id:
          type: string
          title: Organization Id
        sms_config_id:
          type: string
          title: Sms Config Id
        phone_number:
          type: string
          title: Phone Number
        provider:
          type: string
          title: Provider
        credential_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Credential Id
        price_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price Cents
        billing_exempt:
          type: boolean
          title: Billing Exempt
          default: false
        status:
          type: string
          enum:
            - active
            - disabled
            - released
            - quarantined
            - provisioning
            - quarantining
            - releasing
            - surrendering
            - reversal_pending
          title: Status
        cancel_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Cancel At
        quarantined_until:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Quarantined Until
        created_at:
          type: string
          format: date-time
          title: Created At
        modified_at:
          type: string
          format: date-time
          title: Modified At
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
      type: object
      required:
        - phone_number_id
        - organization_id
        - sms_config_id
        - phone_number
        - provider
        - status
        - created_at
        - modified_at
      title: OrganizationPhoneNumberResponse
      description: Safe phone-number metadata without provider routing or cost secrets.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Your Skyvern API key from https://app.skyvern.com/settings.
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.